package cn.com.countrygarden.bi.main.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class PersonnelCampusDTO {
	 private Integer id;
	    /**
	     * 用户ID
	     */
	 	
	    private Integer personnelId;
	    
	   
	    /**
	     * 用户编号
	     */
	 	
	    private String userId;
	    
	    /**
	     * 用户姓名
	     */
	    private String personnelName;
	    /**
	     * 匹配等级
	     */
	 	
	    private String matchinglevel;
	    
	    /**
	     * 附件名称
	     */
	    private String filesame;
	    /**
	     * 附件信息
	     */
	 	
	    private String files;
	    /**
	     * 标识字段（0:false，1:true）
	     */
	 	
	    private Integer flag;
	    /**
	     * 创建时间
	     */
	    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	    private Date createdDate;
	    /**
	     * 创建人
	     */
	 	
	    private String createdBy;
	 	
	 	 /**
	     * 创建人名字
	     */
	 	
	 	private String createdName;
	    /**
	     * 修改时间
	     */
	    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
	    private Date updatedDate;
	    /**
	     * 修改人
	     */
	 	
	    private String updatedBy;
		public Integer getId() {
			return id;
		}
		public void setId(Integer id) {
			this.id = id;
		}
		public Integer getPersonnelId() {
			return personnelId;
		}
		public void setPersonnelId(Integer personnelId) {
			this.personnelId = personnelId;
		}
		public String getUserId() {
			return userId;
		}
		public void setUserId(String userId) {
			this.userId = userId;
		}
		public String getPersonnelName() {
			return personnelName;
		}
		public void setPersonnelName(String personnelName) {
			this.personnelName = personnelName;
		}
		public String getMatchinglevel() {
			return matchinglevel;
		}
		public void setMatchinglevel(String matchinglevel) {
			this.matchinglevel = matchinglevel;
		}
		public String getFilesame() {
			return filesame;
		}
		public void setFilesame(String filesame) {
			this.filesame = filesame;
		}
		public String getFiles() {
			return files;
		}
		public void setFiles(String files) {
			this.files = files;
		}
		public Integer getFlag() {
			return flag;
		}
		public void setFlag(Integer flag) {
			this.flag = flag;
		}
		public Date getCreatedDate() {
			return createdDate;
		}
		public void setCreatedDate(Date createdDate) {
			this.createdDate = createdDate;
		}
		public String getCreatedBy() {
			return createdBy;
		}
		public void setCreatedBy(String createdBy) {
			this.createdBy = createdBy;
		}
		public String getCreatedName() {
			return createdName;
		}
		public void setCreatedName(String createdName) {
			this.createdName = createdName;
		}
		public Date getUpdatedDate() {
			return updatedDate;
		}
		public void setUpdatedDate(Date updatedDate) {
			this.updatedDate = updatedDate;
		}
		public String getUpdatedBy() {
			return updatedBy;
		}
		public void setUpdatedBy(String updatedBy) {
			this.updatedBy = updatedBy;
		}
	    
	    
}
